## vbaexpress 1.2

=== Makefile ===
#   This file is part of VBA Express.
#
#   Copyright (c) 2005-2006 Achraf cherti <achrafcherti@gmail.com>
# 
#   VBA Express is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   VBA Express is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with VBA Express; if not, write to the Free Software
#   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
#

ifeq ($(PREFIX),)
PREFIX = /usr
endif


# Pour le debug
#CFLAGS = -g -DLINUX `fltk-config --cxxflags` `sdl-config --cflags` -Isrc -Wall -pedantic -ansi

# pour le release AVEC FLU
CFLAGS = -Os -DUSE_FLU -DLINUX `fltk-config --cxxflags` `sdl-config --cflags` -Isrc -Wall
LIBS = `flu-config --ldstaticflags` `fltk-config --use-images --ldstaticflags` `sdl-config --libs` -lXpm


# pour le release "SANS" FLU
#CFLAGS = -Os -DLINUX `fltk-config --cxxflags` `sdl-config --cflags` -Isrc -Wall
#LIBS = `fltk-config --use-images --ldstaticflags` `sdl-config --libs` -lXpm

CC  = g++
RM = rm -f
CP = cp

all: first src/astring.o src/Fl_Nice.o src/interface.o src/lcfg.o src/readme.o src/sdl_key.o src/spath.o src/vbaconfig.o src/vbaexpress.o vbaexpress

first : 
	sh ./misc/make_readme.sh

src/astring.o : src/astring.cpp
	$(CC) -c src/astring.cpp $(CFLAGS) -o src/astring.o

src/Fl_Nice.o : src/Fl_Nice.cpp
	$(CC) -c src/Fl_Nice.cpp $(CFLAGS) -o src/Fl_Nice.o

src/interface.o : src/interface.cpp
	$(CC) -c src/interface.cpp $(CFLAGS) -o src/interface.o

src/lcfg.o : src/lcfg.c
	$(CC) -c src/lcfg.c $(CFLAGS) -o src/lcfg.o

src/readme.o : src/readme.cpp
	$(CC) -c src/readme.cpp $(CFLAGS) -o src/readme.o

src/sdl_key.o : src/sdl_key.cpp
	$(CC) -c src/sdl_key.cpp $(CFLAGS) -o src/sdl_key.o

src/spath.o : src/spath.c
	$(CC) -c src/spath.c $(CFLAGS) -o src/spath.o

src/vbaconfig.o : src/vbaconfig.cpp
	$(CC) -c src/vbaconfig.cpp $(CFLAGS) -o src/vbaconfig.o

src/vbaexpress.o : src/vbaexpress.cpp
	$(CC) -c src/vbaexpress.cpp $(CFLAGS) -o src/vbaexpress.o

vbaexpress :src/astring.o src/Fl_Nice.o src/interface.o src/lcfg.o src/readme.o src/sdl_key.o src/spath.o src/vbaconfig.o src/vbaexpress.o
	$(CC) src/astring.o src/Fl_Nice.o src/interface.o src/lcfg.o src/readme.o src/sdl_key.o src/spath.o src/vbaconfig.o src/vbaexpress.o -o vbaexpress $(LIBS)

clean :
	rm -f src/*.o vbaexpress

install :
	mkdir -p $(PREFIX)/bin
	mkdir -p $(PREFIX)/share/applications
	mkdir -p $(PREFIX)/share/pixmaps
	cp vbaexpress $(PREFIX)/bin
	cp misc/vbaexpress.desktop $(PREFIX)/share/applications
	cp misc/vbaexpress.png $(PREFIX)/share/pixmaps
	chmod 755 $(PREFIX)/bin/vbaexpress
	chmod 644 $(PREFIX)/share/pixmaps/vbaexpress.png $(PREFIX)/share/applications/vbaexpress.desktop
	mkdir -p $(PREFIX)/share/vbaexpress/skin
	chmod 755 $(PREFIX)/share/vbaexpress/skin
	cp skin/* $(PREFIX)/share/vbaexpress/skin
	chmod 644 $(PREFIX)/share/vbaexpress/skin/*

uninstall :
	rm -f $(PREFIX)/bin/vbaexpress $(PREFIX)/share/pixmaps/vbaexpress.png $(PREFIX)/share/applications/vbaexpress.desktop
	rm -f $(PREFIX)/share/vbaexpress/skin/*
	rmdir $(PREFIX)/share/vbaexpress/skin
	rmdir $(PREFIX)/share/vbaexpress

=== debian/changelog ===
vbaexpress (1.2-0ubuntu7) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 17:01:48 +0100

vbaexpress (1.2-0ubuntu6) yakkety; urgency=medium

  * Change libpng12-dev to libpng-dev

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 22 Apr 2016 15:36:01 +0200

vbaexpress (1.2-0ubuntu5) raring; urgency=low

  * debian/patches/01_MakefileFlags.dpatch: Use pkg-config to pull in -lX11 as
    well, which fixes the underlinking FTBFS.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 08 Apr 2013 15:59:45 -0400

vbaexpress (1.2-0ubuntu4) precise; urgency=low

  * Fix FTBFS with -Werror=format-security.
  * Install binary into /usr/games.
  * Build-depend on default libjpeg-dev.
  * Update desktop.patch.
  * Use source format 3.0 (quilt).
  * Use debhelper 7.
  * Move Homepage in debian/control to its own field.
  * Bump Standards-Version to 3.9.2.

 -- Ilya Barygin <randomaction@ubuntu.com>  Wed, 04 Jan 2012 12:20:43 +0400

vbaexpress (1.2-0ubuntu3) gutsy; urgency=low

  * misc/make_readme.sh: remove bashism (fix FTBFS)
  * debian/patches/01_MakefileFlags.dpatch: updated to use --ldflags
    instead of --ldstaticflags
  * Build-Depends on libjpeg62-dev, libpng12-dev, zlib1g-dev
  * Update Standards-Version (no changes needed)

 -- Gauvain Pocentek <gauvainpocentek@ubuntu.com>  Sat, 29 Sep 2007 15:35:48 +0200

vbaexpress (1.2-0ubuntu2) gutsy; urgency=low

  * debian/control: Update maintainer fields according to debian-
    maintainer-field spec.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 15 Aug 2007 08:11:01 +0000

vbaexpress (1.2-0ubuntu1) dapper; urgency=low

  * Initial release
  * 01_MakefileFlags.dpatch: Use flags to build without FLU
  * 02_desktop.dpatch: Update .desktop file with Free Desktop standards

 -- Gauvain Pocentek <gauvainpocentek@yahoo.fr>  Mon, 30 Jan 2006 18:06:50 +0100

=== debian/control ===
Source: vbaexpress
Section: games
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Gauvain Pocentek <gauvainpocentek@ubuntu.com>
Build-Depends:
 debhelper (>= 7.0.50~),
 libfltk1.1-dev,
 libxpm-dev,
 libsdl1.2-dev,
 libjpeg-dev,
 libpng-dev,
 zlib1g-dev
Standards-Version: 3.9.2
Homepage: http://vbaexpress.tuxfamily.org

Package: vbaexpress
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, visualboyadvance
Description: Front-End for VisualBoyAdvance
 Vbaexpress is a front-end for the VisualBoyAdvance
 Game Boy emulator. You can easily configure the emulator
 and start your games by clicking on some icons (rather
 than using a command line).

=== debian/rules ===
#!/usr/bin/make -f

export PREFIX=$(CURDIR)/debian/tmp/usr

%:
	dh $@

override_dh_installchangelogs:	
	dh_installchangelogs CHANGELOG.txt
